---
title: llarp::OutboundMessageHandler::MessageQueueEntry

---

# llarp::OutboundMessageHandler::MessageQueueEntry





## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[operator<](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueEntry.md#function-operator<)**(const MessageQueueEntry & other) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| uint16_t | **[priority](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueEntry.md#variable-priority)**  |
| Message | **[message](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueEntry.md#variable-message)**  |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[pathid](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueEntry.md#variable-pathid)**  |
| [RouterID](Classes/structllarp_1_1RouterID.md) | **[router](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueEntry.md#variable-router)**  |

## Public Functions Documentation

### function operator<

```cpp
inline bool operator<(
    const MessageQueueEntry & other
) const
```


## Public Attributes Documentation

### variable priority

```cpp
uint16_t priority;
```


### variable message

```cpp
Message message;
```


### variable pathid

```cpp
PathID_t pathid;
```


### variable router

```cpp
RouterID router;
```


-------------------------------

Updated on 2022-04-18 at 19:54:44 +0000